Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.compact
Interface CompactSyntaxConstants

All Known Implementing Classes:
  CompactSyntax, CompactSyntaxTokenManager

    public interface CompactSyntaxConstants

Field Summary
`static int` | `AFTER_DOCUMENTATION`
`static int` | `AFTER_SINGLE_LINE_COMMENT`
`static int` | `BASE_CHAR`
`static int` | `COMBINING_CHAR`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DOCUMENTATION`
`static int` | `DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT`
`static int` | `DOCUMENTATION_CONTINUE`
`static int` | `EOF`
`static int` | `ESCAPED_IDENTIFIER`
`static int` | `EXTENDER`
`static int` | `FANNOTATE`
`static int` | `IDENTIFIER`
`static int` | `IDEOGRAPHIC`
`static int` | `ILLEGAL_CHAR`
`static int` | `LETTER`
`static int` | `LITERAL`
`static int` | `NCNAME`
`static int` | `NEWLINE`
`static int` | `NMCHAR`
`static int` | `NMSTART`
`static int` | `NOT_NEWLINE`
`static int` | `PREFIX_STAR`
`static int` | `PREFIXED_NAME`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SINGLE_LINE_COMMENT_CONTINUE`
`static java.lang.String[]` | `tokenImage`
`static int` | `WS`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### NEWLINE

    static final int NEWLINE

See Also:
  Constant Field Values

### NOT_NEWLINE

    static final int NOT_NEWLINE

See Also:
  Constant Field Values

### WS

    static final int WS

See Also:
  Constant Field Values

### DOCUMENTATION

    static final int DOCUMENTATION

See Also:
  Constant Field Values

### DOCUMENTATION_CONTINUE

    static final int DOCUMENTATION_CONTINUE

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT

    static final int DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT_CONTINUE

    static final int SINGLE_LINE_COMMENT_CONTINUE

See Also:
  Constant Field Values

### BASE_CHAR

    static final int BASE_CHAR

See Also:
  Constant Field Values

### IDEOGRAPHIC

    static final int IDEOGRAPHIC

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### COMBINING_CHAR

    static final int COMBINING_CHAR

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### EXTENDER

    static final int EXTENDER

See Also:
  Constant Field Values

### NMSTART

    static final int NMSTART

See Also:
  Constant Field Values

### NMCHAR

    static final int NMCHAR

See Also:
  Constant Field Values

### NCNAME

    static final int NCNAME

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### ESCAPED_IDENTIFIER

    static final int ESCAPED_IDENTIFIER

See Also:
  Constant Field Values

### PREFIX_STAR

    static final int PREFIX_STAR

See Also:
  Constant Field Values

### PREFIXED_NAME

    static final int PREFIXED_NAME

See Also:
  Constant Field Values

### LITERAL

    static final int LITERAL

See Also:
  Constant Field Values

### FANNOTATE

    static final int FANNOTATE

See Also:
  Constant Field Values

### ILLEGAL_CHAR

    static final int ILLEGAL_CHAR

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### AFTER_SINGLE_LINE_COMMENT

    static final int AFTER_SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### AFTER_DOCUMENTATION

    static final int AFTER_DOCUMENTATION

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD